Bug 168835 - Yum traceback during download of packages induced by control-C (gr.mirrors[gr._next] index out of range)
Yum traceback during download of packages induced by control-C (gr.mirrors[gr...
Status: CLOSED DUPLICATE of bug 139459
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 11:39 EDT by Kyrre Ness Sjøbæk
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 15:44:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2005-09-20 11:39:56 EDT
Description of problem:
If i try to abort an ongoing yum download by hitting control-C, it only drops
the *current* download, trying the next mirror.

If i hit control-c many-enough times, yum backtraces and crashes as the index of
the array containing the mirrors go out of range.

Version-Release number of selected component (if applicable):
yum-2.4.0-0.fc4

How reproducible:
Haven't hit control-c *that* many times before - but i have seen the "try next
mirror" behaviour before

Steps to Reproduce:
1.Run yum update
2.Start the download
3.Change your mind, try to abort the packages downloading. Press control-c like
mad...
  
Actual results:
[root@kyrrelaptop tmp]# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for tetex-afm to pack into transaction set.
tetex-afm-3.0-6.FC4.i386. 100% |=========================|  79 kB    00:02
---> Package tetex-afm.i386 0:3.0-6.FC4 set to be updated
---> Downloading header for tetex-latex to pack into transaction set.
tetex-latex-3.0-6.FC4.i38 100% |=========================| 246 kB    00:04
---> Package tetex-latex.i386 0:3.0-6.FC4 set to be updated
---> Downloading header for tetex-xdvi to pack into transaction set.
tetex-xdvi-3.0-6.FC4.i386 100% |=========================|  32 kB    00:02
---> Package tetex-xdvi.i386 0:3.0-6.FC4 set to be updated
---> Downloading header for tetex to pack into transaction set.
tetex-3.0-6.FC4.i386.rpm  100% |=========================| 240 kB    00:04
---> Package tetex.i386 0:3.0-6.FC4 set to be updated
---> Downloading header for tetex-fonts to pack into transaction set.
tetex-fonts-3.0-6.FC4.i38 100% |=========================| 754 kB    00:08
---> Package tetex-fonts.i386 0:3.0-6.FC4 set to be updated
---> Downloading header for openh323 to pack into transaction set.
openh323-1.15.6-1.FC4.i38 100% |=========================| 7.5 kB    00:00
---> Package openh323.i386 0:1.15.6-1.FC4 set to be updated
---> Downloading header for gnomemeeting to pack into transaction set.
gnomemeeting-1.2.2-1.FC4. 100% |=========================|  24 kB    00:02
---> Package gnomemeeting.i386 0:1.2.2-1.FC4 set to be updated
---> Downloading header for tetex-dvips to pack into transaction set.
tetex-dvips-3.0-6.FC4.i38 100% |=========================|  68 kB    00:03
---> Package tetex-dvips.i386 0:3.0-6.FC4 set to be updated
---> Downloading header for pwlib to pack into transaction set.
pwlib-1.8.7-1.FC4.i386.rp 100% |=========================| 8.7 kB    00:00
---> Package pwlib.i386 0:1.8.7-1.FC4 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 gnomemeeting            i386       1.2.2-1.FC4      updates-released  3.3 M
 openh323                i386       1.15.6-1.FC4     updates-released  7.5 M
 pwlib                   i386       1.8.7-1.FC4      updates-released  4.2 M
 tetex                   i386       3.0-6.FC4        updates-released   13 M
 tetex-afm               i386       3.0-6.FC4        updates-released  3.8 M
 tetex-dvips             i386       3.0-6.FC4        updates-released  574 k
 tetex-fonts             i386       3.0-6.FC4        updates-released   29 M
 tetex-latex             i386       3.0-6.FC4        updates-released  5.4 M
 tetex-xdvi              i386       3.0-6.FC4        updates-released  831 k

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       9 Package(s)
Remove       0 Package(s)
Total download size: 68 M
Is this ok [y/N]: y
Downloading Packages:
(1/9): tetex-afm-3.0-6.FC 100% |=========================| 3.8 MB    00:15
(2/9): tetex-latex-3.0-6. 100% |=========================| 5.4 MB    00:22
(3/9): tetex-xdvi-3.0-6.F 100% |=========================| 831 kB    00:07
(4/9): tetex-3.0-6.FC4.i3 100% |=========================| 7.1 MB    00:30
http://ftp.upjs.sk/pub/linux/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] Socket Error: (11, 'Ressursen midlertidig utilgjengelig')
Trying other mirror.
http://fedora.arcticnetwork.ca/updates/4/i386/tetex-3.0-6.FC4.i386.rpm: [Errno
4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://less.cogeco.net/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://linux.admin.uillinois.edu/pub/linux/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp.chg.ru/pub/Linux/fedora/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (101, 'Nettverket er ikke tilgjengelig')>
Trying other mirror.
http://mirror.averse.net/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://mirror.stanford.edu/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp.udl.es/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
(4/9): tetex-3.0-6.FC4.i3 100% |=========================|  24 kB    00:00
http://fr.rpmfind.net/linux/fedora/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] Socket Error: (11, 'Ressursen midlertidig utilgjengelig')
Trying other mirror.
http://mirrors.kernel.org/fedora/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (101, 'Nettverket er ikke tilgjengelig')>
Trying other mirror.
http://www.las.ic.unicamp.br/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp.heanet.ie/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (101, 'Nettverket er ikke tilgjengelig')>
Trying other mirror.
http://mirror.netglobalis.net/pub/fedora/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://mirrors.csumb.edu/pub/fedora/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://fr2.rpmfind.net/linux/fedora/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp.esat.net/mirrors/download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (101, 'Nettverket er ikke tilgjengelig')>
Trying other mirror.
http://ftp.ps.pl/pub/linux/fedora-core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://mirrors.playboy.com/fedora/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp.uni-bayreuth.de/linux/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://mirror.hiwaay.net/redhat/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp.tecnoera.com/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://redhat.linux.ee/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp.lug.ro/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp-stud.fht-esslingen.de/pub/Mirrors/fedora.redhat.com/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://limestone.uoregon.edu/ftp/fedora/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (101, 'Nettverket er ikke tilgjengelig')>
Trying other mirror.
http://ftp.isu.edu.tw/pub/Linux/Fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://www.muug.mb.ca/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp.ussg.iu.edu/linux/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://mirror.etf.bg.ac.yu/distributions/fedora/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://ftp.riken.jp/Linux/fedora/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://mirrors.bevc.net/fedora/updates/4/i386/tetex-3.0-6.FC4.i386.rpm: [Errno
4] IOError: <urlopen error (114, 'Operasjonen er allerede under utf\xc3\xb8relse')>
Trying other mirror.
http://mirror.linux.duke.edu/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp.crihan.fr/mirrors/fedora.redhat.com/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://klid.dk/homeftp/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://dl.atrpms.net/mirrors/fedoracore/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://mirror2.etf.bg.ac.yu/distributions/fedora/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://mirror.cs.wisc.edu/pub/mirrors/linux/download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://fedora.mirrors.tds.net/pub/fedora-core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://sunsite.mff.cuni.cz/pub/fedora/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://ftp.ndlug.nd.edu/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://ftp.iasi.roedu.net/mirrors/fedora.redhat.com/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://sunsite.icm.edu.pl/pub/Linux/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://fedora.cat.pdx.edu/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://mirror.mcs.anl.gov/pub/fedora-linux-core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
(4/9): tetex-3.0-6.FC4.i3 100% |=========================|    0 B    00:00
http://zeniv.linux.org.uk/pub/distributions/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] Socket Error: (11, 'Ressursen midlertidig utilgjengelig')
Trying other mirror.
http://mirror.switch.ch/ftp/mirror/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://fedora.secsup.org/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm: [Errno 4]
IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://mirror.newnanutilities.org/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://ftp.tugraz.at/mirror/redhat-linux/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
(4/9): tetex-3.0-6.FC4.i3 100% |=========================|    0 B    00:00
http://fedora.ngi.it/updates/4/i386/tetex-3.0-6.FC4.i386.rpm: [Errno 4] Socket
Error: (11, 'Ressursen midlertidig utilgjengelig')
Trying other mirror.
http://www-ftp.lip6.fr/pub/linux/distributions/fedora/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://ftp1.skynet.cz/pub/linux/fedora/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://mirror.usu.edu/mirrors/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://planetmirror.com/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://mirrors.tummy.com/mirrors/fedora.redhat.com/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://mirror.web-ster.com/fedora/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
http://ftp.nara.wide.ad.jp/pub/Linux/fedora/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (101, 'Nettverket er ikke tilgjengelig')>
Trying other mirror.
http://mirror.phy.olemiss.edu/mirror/fedora/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://srl.cs.jhu.edu/YUM/fedora-core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (114, 'Operasjonen er allerede under
utf\xc3\xb8relse')>
Trying other mirror.
http://www.fedora.is/fedora/core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm: [Errno
4] IOError: <urlopen error (114, 'Operasjonen er allerede under utf\xc3\xb8relse')>
Trying other mirror.
http://wftp.tu-chemnitz.de/pub/linux/fedora-core/updates/4/i386/tetex-3.0-6.FC4.i386.rpm:
[Errno 4] IOError: <urlopen error (11, 'Ressursen midlertidig utilgjengelig')>
Trying other mirror.
Traceback (most recent call last):
  File "/usr/bin/yum", line 27, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 170, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 651, in doTransaction
    problems = self.downloadPkgs(downloadpkgs)
  File "__init__.py", line 605, in downloadPkgs
  File "repos.py", line 619, in get
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 414, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 392, in
_mirror_try
    mirrorchoice = self._get_mirror(gr)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 290, in
_get_mirror
    return gr.mirrors[gr._next]
IndexError: list index out of range


Expected results:
Yum aborting gracefully when i hit control-c

Additional info:
Comment 1 Jeremy Katz 2005-09-21 15:44:24 EDT

*** This bug has been marked as a duplicate of 139459 ***

Note You need to log in before you can comment on or make changes to this bug.